For the complete documentation index, see llms.txt. This page is also available as Markdown.

Budget Groups

Manage Budget Groups and receive alerts when your costs exceed (or are forecasted to exceed) your configured budget group.

Fetch Budget group details

get

Fetch details of a Budget group for the given Budget group ID.

Path parameters
idstringRequired

Unique identifier for the budget

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/budgetGroups/{id}
GET /gateway/ccm/api/budgetGroups/{id}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update an existing budget group

put

Update an existing Budget group for the given Budget group ID.

Path parameters
idstringRequired

Unique identifier for the budget group

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

The Cloud Cost Budget Group definition

uuidstringOptional
accountIdstringOptional
namestring · min: 1 · max: 80Optional
periodstring · enumOptionalPossible values:
budgetGroupAmountnumber · doubleOptional
customAlertMessagestringOptional
actualCostnumber · doubleOptional
forecastCostnumber · doubleOptional
lastMonthCostnumber · doubleOptional
parentBudgetGroupIdstringOptional
cascadeTypestring · enumOptionalPossible values:
startTimeinteger · int64Optional
endTimeinteger · int64Optional
createdAtinteger · int64Optional
lastUpdatedAtinteger · int64Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/budgetGroups/{id}
PUT /gateway/ccm/api/budgetGroups/{id}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 1068

{
  "uuid": "text",
  "accountId": "text",
  "name": "text",
  "budgetGroupMonthlyBreakdown": {
    "budgetBreakdown": "YEARLY",
    "budgetMonthlyAmount": [
      {
        "time": 1,
        "value": 1
      }
    ],
    "actualMonthlyCost": [
      1
    ],
    "forecastMonthlyCost": [
      1
    ],
    "yearlyLastPeriodCost": [
      1
    ],
    "forecastCostConfigured": true
  },
  "period": "DAILY",
  "budgetGroupAmount": 1,
  "customAlertMessage": "text",
  "actualCost": 1,
  "forecastCost": 1,
  "lastMonthCost": 1,
  "alertThresholds": [
    {
      "percentage": 1,
      "basedOn": "ACTUAL_COST",
      "emailAddresses": [
        "text"
      ],
      "userGroupIds": [
        "text"
      ],
      "slackWebhooks": [
        "text"
      ],
      "alertsSent": 1,
      "crossedAt": 1
    }
  ],
  "childEntities": [
    {
      "id": "text",
      "proportion": 1,
      "isBudgetGroup": true,
      "budgetGroup": true
    }
  ],
  "parentBudgetGroupId": "text",
  "cascadeType": "EQUAL",
  "startTime": 1,
  "endTime": 1,
  "budgetGroupHistory": {
    "ANY_ADDITIONAL_PROPERTY": {
      "time": 1,
      "endTime": 1,
      "actualCost": 1,
      "forecastCost": 1,
      "budgeted": 1,
      "budgetVariance": 1,
      "budgetVariancePercentage": 1
    }
  },
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "createdBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Delete a budget group

delete

Delete a Budget group for the given Budget group ID.

Path parameters
idstringRequired

Unique identifier for the budget

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/budgetGroups/{id}
DELETE /gateway/ccm/api/budgetGroups/{id}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Filter budget groups and return hierarchical structure

post

Returns a hierarchical list of budget groups based on the filter criteria.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

sortTypestring · enumOptional

Field to sort results by

Possible values:
sortOrderstring · enumOptional

Sort order (ASCENDING or DESCENDING)

Possible values:
Body

Filter properties for budget listing

periodstring · enumOptional

Filter by budget period

Possible values:
createdBystring[]Optional

Filter by multiple creator user IDs

perspectiveNamesstring[]Optional

Filter by multiple perspective names

minBudgetAmountnumber · doubleOptional

Minimum budget amount

maxBudgetAmountnumber · doubleOptional

Maximum budget amount

lastModifiedStartTimeinteger · int64Optional

Start time for last modified filter (timestamp in milliseconds)

lastModifiedEndTimeinteger · int64Optional

End time for last modified filter (timestamp in milliseconds)

offsetinteger · int32Optional

Number of results to skip

limitinteger · int32Optional

Maximum number of results to return

folderIdsstring[]Optional

Filter by multiple folder IDs

searchKeystringOptional

Search text to filter budgets by name (case-insensitive)

scopeTypestringOptional

Filter by budget scope type (PERSPECTIVE, COST_BUCKET)

costCategoryNamesstring[]Optional

Filter by cost category names

costBucketNamesstring[]Optional

Filter by cost bucket names

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/budgetGroups/v2/list
POST /gateway/ccm/api/budgetGroups/v2/list?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 386

{
  "period": "DAILY",
  "createdBy": [
    "text"
  ],
  "perspectiveNames": [
    "text"
  ],
  "minBudgetAmount": 1,
  "maxBudgetAmount": 1,
  "lastModifiedStartTime": 1,
  "lastModifiedEndTime": 1,
  "offset": 1,
  "limit": 1,
  "folderIds": [
    "text"
  ],
  "searchKey": "text",
  "budgetStatus": [
    "ON_TRACK"
  ],
  "scopeType": "text",
  "costCategoryNames": [
    "text"
  ],
  "costBucketNames": [
    "text"
  ],
  "costCategoryDTOs": [
    {
      "costCategory": "text",
      "costBucket": "text"
    }
  ]
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get aggregated amount for given budget groups/budgets

post

Returns list of value dataPoints specifying aggregated amount

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

areChildEntitiesBudgetsbooleanRequired
Bodystring[]
string[]Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/budgetGroups/aggregatedAmount
POST /gateway/ccm/api/budgetGroups/aggregatedAmount?accountIdentifier=text&areChildEntitiesBudgets=true HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 8

[
  "text"
]
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get list of budget and budget group summaries

get

Returns list of budgetSummary

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

budgetGroupIdstringOptional
showAllEntitiesbooleanRequired
budgetGroupSortTypestring · enumOptional

Budget Group List Sort Type

Possible values:
sortOrderstring · enumOptional

Budget Group List Sort Order

Possible values:
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/budgetGroups/summary
GET /gateway/ccm/api/budgetGroups/summary?accountIdentifier=text&showAllEntities=true HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

List all the Budget groups

get

List all the Budget Groups for an account.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

budgetGroupSortTypestring · enumOptional

Budget Group List Sort Type

Possible values:
sortOrderstring · enumOptional

Budget Group List Sort Order

Possible values:
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/budgetGroups
GET /gateway/ccm/api/budgetGroups?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Create a Budget Group

post

Create a Budget group to set and receive alerts when your costs exceed (or are forecasted to exceed) your budget group amount.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

The Cloud Cost Budget Group definition

uuidstringOptional
accountIdstringOptional
namestring · min: 1 · max: 80Optional
periodstring · enumOptionalPossible values:
budgetGroupAmountnumber · doubleOptional
customAlertMessagestringOptional
actualCostnumber · doubleOptional
forecastCostnumber · doubleOptional
lastMonthCostnumber · doubleOptional
parentBudgetGroupIdstringOptional
cascadeTypestring · enumOptionalPossible values:
startTimeinteger · int64Optional
endTimeinteger · int64Optional
createdAtinteger · int64Optional
lastUpdatedAtinteger · int64Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/budgetGroups
POST /gateway/ccm/api/budgetGroups?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 1068

{
  "uuid": "text",
  "accountId": "text",
  "name": "text",
  "budgetGroupMonthlyBreakdown": {
    "budgetBreakdown": "YEARLY",
    "budgetMonthlyAmount": [
      {
        "time": 1,
        "value": 1
      }
    ],
    "actualMonthlyCost": [
      1
    ],
    "forecastMonthlyCost": [
      1
    ],
    "yearlyLastPeriodCost": [
      1
    ],
    "forecastCostConfigured": true
  },
  "period": "DAILY",
  "budgetGroupAmount": 1,
  "customAlertMessage": "text",
  "actualCost": 1,
  "forecastCost": 1,
  "lastMonthCost": 1,
  "alertThresholds": [
    {
      "percentage": 1,
      "basedOn": "ACTUAL_COST",
      "emailAddresses": [
        "text"
      ],
      "userGroupIds": [
        "text"
      ],
      "slackWebhooks": [
        "text"
      ],
      "alertsSent": 1,
      "crossedAt": 1
    }
  ],
  "childEntities": [
    {
      "id": "text",
      "proportion": 1,
      "isBudgetGroup": true,
      "budgetGroup": true
    }
  ],
  "parentBudgetGroupId": "text",
  "cascadeType": "EQUAL",
  "startTime": 1,
  "endTime": 1,
  "budgetGroupHistory": {
    "ANY_ADDITIONAL_PROPERTY": {
      "time": 1,
      "endTime": 1,
      "actualCost": 1,
      "forecastCost": 1,
      "budgeted": 1,
      "budgetVariance": 1,
      "budgetVariancePercentage": 1
    }
  },
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "createdBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?